
ChiliProject - Feature # 539: Remove dead code in IssueHelper

Status: Closed Priority: Normal
Author: Gregor Schmidt Category: Journals / History
Created: 2011-07-26 Assignee: Holger Just
Updated: 2012-01-04 Due date:
Remote issue URL:
Affected version: 2.0.0
Description: With the aaj-merge, the rather large @IssueHelper#show_detail@ was replaced by 

@JournalFormatter#render_detail@. However, the original method was kept in place, possibly to keep 
backwards compatibility. But I guess, it is only there because somebody forgot about it. As far as I can tell, it 
also uses APIs that where removed with the merge so it is probably not working at the moment.

I propose to remove the method.

Attached is a pull request, which does that.

It also includes a TODO to refactor the test code. I'm currently not aware, where aaj-test-code is kept and 
therefore was not brave enough to move the code to the right places.

Associated revisions
2011-07-26 11:00 pm - Gregor Schmidt 
[#539] removing dead code - this went into JournalFormatter

2011-07-26 11:00 pm - Gregor Schmidt 
[#539] removing helper method from tests, adding TODO

History
2011-07-26 09:01 pm - Gregor Schmidt
- Assignee deleted (Gregor Schmidt)

- Status changed from Open to Ready for review

The pull request is at https://github.com/chiliproject/chiliproject/pull/85.

2011-07-27 02:06 pm - Holger Just
- Assignee set to Holger Just

- Category set to Journals / History

- Status changed from Ready for review to Closed

Merged into master. Thanks Gregor!

2011-08-05 07:27 am - Fahrzin Hemmati
This change breaks compatibility with redmine_code_review which uses show_detail in their app/views/code_review/_reply.html.erb. I can't replace it 
with render_detail, @journal.render_detail, or @reply.render_detail. I'm creating a related issue in redmine_code_review to have them update, but in 
case they need help I'm letting you know ahead of time.

2011-10-26 07:50 pm - Simon Stearn
Tactical hack: replace show_detail with puts until either a compatibility layer in chiliproject or a change to the plugin fixes this..
2012-01-04 02:32 am - Andreas Schuh
Simon Stearn wrote:
> Tactical hack: replace show_detail with puts until either a compatibility layer in chiliproject or a change to the plugin fixes this..

Such fix of the plugin is available at https://bitbucket.org/schuhschuh/redmine_code_review.
